<?php
// Запрет прямого доступа.
defined('_JEXEC') or die;
 
/**
 * Хелпер HelloWorld компонента.
 */
abstract class BonussystemHelper
{
    /**
     * Конфигурируем подменю.
     *
     * @param   string  $submenu  Активный пункт меню.
     *
     * @return  void
     */
    public static function addSubmenu($submenu)
    {
      JSubMenuHelper::addEntry(
            "Пользователи",
            'index.php?option=com_bonussystem',
            $submenu == 'muser'
        );
 
        JSubMenuHelper::addEntry(
            "Бонусы",
            'index.php?option=com_bonussystem&view=bonussystems',
            $submenu == 'mbonus'
        );
        
        JSubMenuHelper::addEntry(
            "Правила начисления",
            'index.php?option=com_bonussystem&view=bonusrules',
            $submenu == 'mrule'
        );
 
        // Устанавливаем глобальные свойства.
        $document = JFactory::getDocument();
        $document->addStyleDeclaration('.icon-48-giadafilter ' .
            '{background-image: url(../media/com_bonussystem/images/giadafilter-48x48.png);}');
 
       if ($submenu == 'muser')
        {
            $document->setTitle("Пользователи");
        };
        
        if ($submenu == 'mbonus')
        {
            $document->setTitle("Бонусы");
        };
        
        if ($submenu == 'mrule')
        {
            $document->setTitle("Правила начисления");
        };

    }
}